Bug 492287 - Package perl-XML-Writer is not Required by anything on Satellite 5.3.0, we might want to not ship it
Package perl-XML-Writer is not Required by anything on Satellite 5.3.0, we mi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Steve Salevan
:
Depends On:
Blocks: 463876
  Show dependency treegraph
 
Reported: 2009-03-26 07:06 EDT by Tomas Lestach
Modified: 2009-09-10 14:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:54:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2009-03-26 07:06:57 EDT
Description of problem:

Package perl-XML-Writer is not Required by anything on Satellite 5.3.0, we might want to not ship it.

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090323.0 on i386
perl-XML-Writer-0.4-12.el5.noarch.rpm

How reproducible:

Deterministic.

Steps to Reproduce:
1. Install Satellite 5.3.0.
2. Run rpm -q perl-XML-Writer, check that package perl-XML-Writer is installed.
3. Run rpm -e perl-XML-Writer.
4. Run rpm -q perl-XML-Writer again, check that it's now been removed.
  
Actual results:

Package perl-XML-Writer is installed but it is not required by anything in the Satellite, so it can safely be removed.

Expected results:

Either the package should be Required by some other package, or it should not be on the compose.
Comment 1 Clifford Perry 2009-03-26 13:58:43 EDT
I am not able to find anything on 5.2 Satellite that used this perl module (so far).
Comment 2 Brandon Perkins 2009-03-26 14:02:30 EDT
Justin, please look and confirm that this can be removed.
Comment 3 Justin Sherrill 2009-03-27 11:23:19 EDT
[jlsherri@quartet spacewalk]$ git grep "XML::Writer"
[jlsherri@quartet spacewalk]$ 


Nope, not used it doesn't look like.
Comment 4 Justin Sherrill 2009-03-27 11:48:59 EDT
Reassigning to dgilmore and opening a releng ticket
Comment 5 Dennis Gilmore 2009-04-02 14:21:48 EDT
removed from 20090401
Comment 6 Steve Salevan 2009-04-08 12:59:38 EDT
# rpm -q perl-XML-Writer
package perl-XML-Writer is not installed

Moving to VERIFIED, tested on 530-re20090403.2.
Comment 8 Brandon Perkins 2009-09-10 14:54:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.